<?php

namespace App\View\Components\Blesser\Element;

use App\Models\Category;
use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class SubCategorySlider extends Component
{
    public $category;
    /**
     * Create a new component instance.
     */
    public function __construct($category)
    {
        $this->category = Category::find($category);
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.blesser.element.sub-category-slider');
    }
}
